package maes

// |@@| C

import (
	"gardening/src/dat/maes"
	"gardening/src/mae"
	"gardening/sup/helpers"
	"gardening/sup/lib/asserter"
	"gardening/sup/lib/storyteller"
	"gardening/sup/srv/staters"
	"testing"
)

func TestListPlantTasksMae(testing *testing.T) {
	this := &ListPlantTasksMaeTest{}
	ctx := helpers.SetupTest(this, testing)
	this.Storyteller.SetAutoScenario(ctx)

	this.Storyteller.Given("the default grow stage context")
	this.GrownStater.GoToDefaultStage(ctx)
	this.Storyteller.Given("the standard input")
	in := this.newInStructure()
	this.Storyteller.When("listing entities")
	_, err := this.ListPlantTasksMae.Act(ctx, in)
	this.Storyteller.Then("no error should occur")
	this.Asserter.WithoutError(ctx, err)
}

type ListPlantTasksMaeTest struct {
	Storyteller       *storyteller.Storyteller
	GrownStater       *staters.GrownStater
	Asserter          *asserter.Asserter
	ListPlantTasksMae *mae.ListPlantTasksMae
}

func (this *ListPlantTasksMaeTest) newInStructure() *maes.ListPlantTasksMaeIn {
	return &maes.ListPlantTasksMaeIn{}
}
